import {
  formatFiles,
  generateFiles,
  joinPathFragments,
  OverwriteStrategy,
  readProjectConfiguration,
  Tree,
} from '@nx/devkit';

import { TomgGeneratorSchema } from './schema';

export async function tomgScaffoldGenerator(
  tree: Tree,
  options: TomgGeneratorSchema
) {
  const libraryRoot = readProjectConfiguration(tree, options.project).root;

  generateFiles(
    tree,
    joinPathFragments(__dirname, './files'),
    libraryRoot,
    options,
    { overwriteStrategy: OverwriteStrategy.KeepExisting }
  );

  await formatFiles(tree);
}

export default tomgScaffoldGenerator;
